aboutsummaryrefslogtreecommitdiff
path: root/repos/update.sh
diff options
context:
space:
mode:
authoremmett1 <emmett1.2miligrams@protonmail.com>2025-01-29 01:09:38 +0800
committeremmett1 <emmett1.2miligrams@protonmail.com>2025-01-29 01:09:38 +0800
commitf69f99008217bb17338ee8a108391bef3d3b95d0 (patch)
treecc7edcefd0e9e2a0a45c30ea8066bc77afd80560 /repos/update.sh
parent280e0a4c3824e219cbed9bfa93a9f5c832b76d4a (diff)
downloadalicelinux-f69f99008217bb17338ee8a108391bef3d3b95d0.tar.gz
alicelinux-f69f99008217bb17338ee8a108391bef3d3b95d0.zip
update scripts
Diffstat (limited to 'repos/update.sh')
-rwxr-xr-xrepos/update.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/repos/update.sh b/repos/update.sh
new file mode 100755
index 00000000..49c93acf
--- /dev/null
+++ b/repos/update.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+for i in $(awk '{print $1}' outdate.list); do
+ [ -d $i ] || continue
+ nv=$(grep ^"$i " outdate.list | awk '{print $2}')
+ ov=$(grep ^"$i " outdate.list | awk '{print $3}')
+ read -p "Update $i $ov to $nv " aaa
+ case $aaa in
+ n|N|no|NO|No|nO) continue;;
+ *) ./pkgup.sh $i $nv;;
+ esac
+done